### Constructor

# GimpUi Dialog new_valist

#### Declaration [src]

    GtkWidget*
    gimp_dialog_new_valist (
      const gchar* title,
      const gchar* role,
      GtkWidget* parent,
      GtkDialogFlags flags,
      GimpHelpFunc help_func,
      const gchar* help_id,
      va_list args
    )

#### Description [src]

Creates a new `GimpDialog` widget. If a GtkWindow is specified as `parent` then the dialog will be made transient for this window.

For a description of the format of the `va_list` describing the action_area buttons see gtk_dialog_new_with_buttons().

This constructor is not directly available to language bindings

#### Parameters

`title` | `const gchar*`
| The dialog’s title which will be set with gtk_window_set_title().
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`role` | `const gchar*`
| The dialog’s `role` which will be set with gtk_window_set_role().
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`parent` | `GtkWidget`
| The `parent` widget of this dialog or `NULL`.
| The data is owned by the caller of the function.
`flags` | `GtkDialogFlags`
| The `flags` (see the `GtkDialog` documentation).
`help_func` | `GimpHelpFunc`
| The function which will be called if the user presses “F1”.
`help_id` | `const gchar*`
| The help_id which will be passed to `help_func`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`args` | `va_list`
| A `va_list` destribing the action_area buttons.

#### Return value

Returns: | `GtkWidget`
| A `GimpDialog`.
| The data is owned by the called function.